# Answer a customer

`POST /workspace/service/conversations/{id}/answer` · Rivier · contacts

Answer a customer.

- Scope: contacts:write
- Graphql: Mutation.contactsConversationAnswer
- Sdk: contacts.conversation.answer
- Cli: contacts conversation answer
- Events: inbox.message.sent

## Parameters

- `id` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "text": {
      "type": "string",
      "minLength": 1,
      "maxLength": 20000
    },
    "subject": {
      "type": "string",
      "maxLength": 500
    }
  },
  "required": [
    "text"
  ],
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/workspace/service/conversations/{id}/answer' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "text": "string"
}'
```
